#ifndef FONTDEFSH
#define FONTDEFSH

typedef struct _FontGlyph {
    int offset;
    signed char   left;
    unsigned char rows;
    unsigned char startrow;
    unsigned char width;
    unsigned char xwidth;
} FontGlyph;

typedef struct _FontHeader {
    int maxheight;
    int baseline;
    FontGlyph *glyphs;
    unsigned char *bits;
} FontHeader;

extern FontHeader *fontlist[];

const FontHeader *font_GetInfo( int fontid );
int font_GetLen( const char *text, int fontid );

#endif
